<?php
session_start();
require_once("model/db.php");
require_once("controller/getRecord.php");
require_once("controller/listLatest.php");
require_once("view/mainContent/userButtons.php");

require("view/header.php");
require("view/sidebar.php");

$record = getRecord($pdo, "beer", $_GET["id"] );
$title = $record["name"];
$description = $record["description"];
$date = $record["time"];
$alc = $record["alc"];
$ibu = $record["ibu"];
$brewery_id = $record["brewery_id"];
$brewery = getRecord($pdo, "brewery", $brewery_id )["name"];
require("view/mainContent/mainContent.php");
require("view/mainContent/beerExtraInfo.php");

echo "	<div class=\"content\">
            <div class=\"box\">
                <article>";

if(isset($_SESSION["loggedin"]) && $_SESSION["loggedin"] === true){
    if(isThisBound($pdo, "list", $_GET["id"], $_SESSION["id"])){
        $rating = getRating( $pdo, $_GET["id"], $_SESSION["id"])["rating"];
        showStars($_GET["id"], $rating);
        unfollowButton("list", $_GET["id"]);
    } else {
        followButton("list", $_GET["id"]);
    }
}

echo "  </article>
    </div>
</div>";


$array = listTagsByBeer($pdo, $_GET["id"]);

require("view/mainContent/listTags.php");


include("view/footer.php");