-- User

use vujovicig;

insert into user ( nick, mail, password ) values ( 'snowflake', 'snowflake@cocain.ninja', '$2y$10$QVa2JNaw.VozkHyRWlEGNeAjYfiHEksxVVMhDZPjhGsuAY9MO51.C' );
insert into user ( nick, mail, password ) values ( 'pepino', 'prochazka@pedf.cuni.cz', '$2y$10$QVa2JNaw.VozkHyRWlEGNeAjYfiHEksxVVMhDZPjhGsuAY9MO51.C' );
insert into user ( nick, mail, password ) values ( 'test', 'test@mail.cz', '$2y$10$QVa2JNaw.VozkHyRWlEGNeAjYfiHEksxVVMhDZPjhGsuAY9MO51.C' );
insert into user ( nick, mail, password ) values ( 'aaaaa', 'test@mail.cz', '$2y$10$QVa2JNaw.VozkHyRWlEGNeAjYfiHEksxVVMhDZPjhGsuAY9MO51.C' );
insert into user ( nick, mail, password ) values ( 'aaaa', 'test@mail.cz', '$2y$10$QVa2JNaw.VozkHyRWlEGNeAjYfiHEksxVVMhDZPjhGsuAY9MO51.C' );
insert into user ( nick, mail, password ) values ( 'aaa', 'test@mail.cz', '$2y$10$QVa2JNaw.VozkHyRWlEGNeAjYfiHEksxVVMhDZPjhGsuAY9MO51.C' );
insert into user ( nick, mail, password ) values ( 'aa', 'test@mail.cz', '$2y$10$QVa2JNaw.VozkHyRWlEGNeAjYfiHEksxVVMhDZPjhGsuAY9MO51.C' );


insert into brewery ( name, region, description ) values ( 'Zichovec', 'Louny', 'Remeslny pivovar');
insert into brewery ( name, region, description ) values ( 'Siberia', 'Praha 9-Vysocany', 'Remeslny pivovar');
insert into brewery ( name, region, description ) values ( 'Matuska', 'Broumy', 'Remeslny pivovar');
insert into brewery ( name, region, description ) values ( 'Cestmir', 'Stara Boleslav', 'Remeslny pivovar');
insert into brewery ( name, region, description ) values ( 'Prazdroj', 'Plzen', 'Pilsner Urquell');

insert into beer ( name, alc, ibu, description, brewery_id, degree ) values ( 'Robin', 5.1, '40', 'Quality APA, good as a starting beer', '1','12' );
insert into beer ( name, alc, ibu, description, brewery_id, degree ) values ( 'Krahulik', 5.0, '32', 'Classic Lagger from Zichovec, comes in handy','1', '12' );
insert into beer ( name, alc, ibu, description, brewery_id, degree ) values ( 'Pilsner Urquell', 4.4, '38', 'Oh yes, the PILSNER!','5', '12' );
insert into beer ( name, alc, ibu, description, brewery_id, degree ) values ( 'Zlata Raketa', 7.0, '60', 'Signature beer from Matuska Brewery','3', '17' );
insert into beer ( name, alc, ibu, description, brewery_id, degree ) values ( 'Yummy Blackcurrant Raspberry & Lingonberry', 5.1, '40', 'Simply delicious Beer from Siberia with full taste','2', '12' );

insert into tag ( tag_title ) values ( 'IPA' );
insert into tag ( tag_title ) values ( 'APA' );
insert into tag ( tag_title ) values ( 'LAGER' );
insert into tag ( tag_title ) values ( 'PASTRY SOUR' );
insert into tag ( tag_title ) values ( 'SOUR' );
insert into tag ( tag_title ) values ( 'NEIPA' );

insert into beer_has_tag ( beer_id, tag_id ) values ( '4', '1' );
insert into beer_has_tag ( beer_id, tag_id ) values ( '1', '2' );
insert into beer_has_tag ( beer_id, tag_id ) values ( '2', '3' );
insert into beer_has_tag ( beer_id, tag_id ) values ( '3', '3' );
insert into beer_has_tag ( beer_id, tag_id ) values ( '5', '4' );
insert into beer_has_tag ( beer_id, tag_id ) values ( '5', '5' );

insert into follow ( user_id, brewery_id ) values ( '1', '1' );
insert into follow ( user_id, brewery_id ) values ( '1', '2' );
insert into follow ( user_id, brewery_id ) values ( '1', '3' );
insert into follow ( user_id, brewery_id ) values ( '1', '4' );
insert into follow ( user_id, brewery_id ) values ( '1', '5' );
insert into follow ( user_id, brewery_id ) values ( '2', '5' );
insert into follow ( user_id, brewery_id ) values ( '2', '3' );
insert into follow ( user_id, brewery_id ) values ( '3', '1' );
insert into follow ( user_id, brewery_id ) values ( '3', '2' );

insert into list ( user_id, beer_id, rating ) values ( '1', '1', '5' );
insert into list ( user_id, beer_id, rating ) values ( '1', '2', '4' );
insert into list ( user_id, beer_id, rating ) values ( '1', '3', '5' );
insert into list ( user_id, beer_id, rating ) values ( '1', '4', '4' );
insert into list ( user_id, beer_id, rating ) values ( '1', '5', '5' );
insert into list ( user_id, beer_id, rating ) values ( '2', '3', '5' );
insert into list ( user_id, beer_id ) values ( '2', '4');
insert into list ( user_id, beer_id ) values ( '2', '1' );
insert into list ( user_id, beer_id, rating ) values ( '3', '4', '5' );
insert into list ( user_id, beer_id, rating ) values ( '3', '5', '5');

insert into article ( title, body ) values ( 'I have no Clue 2', 'I Have still no Idea.');
insert into article ( title, body ) values ( 'I have no Clue 1', 'I should know What Im doing by know, but I am not smart enough to do so.');
insert into article ( title, body ) values ( 'Where does it come from?', 'Contrary to popular belief, Lorem Ipsum is not simply random text. It has roots in a piece of classical Latin literature from 45 BC, making it over 2000 years old. Richard McClintock, a Latin professor at Hampden-Sydney College in Virginia, looked up one of the more obscure Latin words, consectetur, from a Lorem Ipsum passage, and going through the cites of the word in classical literature, discovered the undoubtable source. Lorem Ipsum comes from sections 1.10.32 and 1.10.33 of "de Finibus Bonorum et Malorum" (The Extremes of Good and Evil) by Cicero, written in 45 BC. This book is a treatise on the theory of ethics, very popular during the Renaissance. The first line of Lorem Ipsum, "Lorem ipsum dolor sit amet..", comes from a line in section 1.10.32.The standard chunk of Lorem Ipsum used since the 1500s is reproduced below for those interested. Sections 1.10.32 and 1.10.33 from "de Finibus Bonorum et Malorum" by Cicero are also reproduced in their exact original form, accompanied by English versions from the 1914 translation by H. Rackham.');
insert into article ( title, body ) values ( 'Why do we use it?', 'It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout. The point of using Lorem Ipsum is that it has a more-or-less normal distribution of letters, as opposed to using "Content here, content here", making it look like readable English. Many desktop publishing packages and web page editors now use Lorem Ipsum as their default model text, and a search for "lorem ipsum" will uncover many web sites still in their infancy. Various versions have evolved over the years, sometimes by accident, sometimes on purpose (injected humour and the like).');
insert into article ( title, body ) values ( 'News - Lorem Ipsum!', 'This is a placeholder for news');